Bug 1507937 - [abrt] remmina: MessagePipe_PostQuit(): remmina killed by SIGSEGV
Summary: [abrt] remmina: MessagePipe_PostQuit(): remmina killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:359d4d62cf50fb32c3c04ce3913...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-31 14:04 UTC by Matthew J. Fitzpatrick
Modified: 2018-01-13 23:04 UTC (History)
2 users (show)

Fixed In Version: remmina-1.2.0-0.43.20171220git08f5b4b.fc27 remmina-1.2.0-0.43.20171220git08f5b4b.fc26 remmina-1.2.0-0.44.rcgit.26.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-08 01:37:16 UTC


Attachments (Terms of Use)
File: backtrace (48.32 KB, text/plain)
2017-10-31 14:04 UTC, Matthew J. Fitzpatrick
no flags Details
File: cgroup (195 bytes, text/plain)
2017-10-31 14:04 UTC, Matthew J. Fitzpatrick
no flags Details
File: core_backtrace (27.10 KB, text/plain)
2017-10-31 14:04 UTC, Matthew J. Fitzpatrick
no flags Details
File: cpuinfo (1.18 KB, text/plain)
2017-10-31 14:04 UTC, Matthew J. Fitzpatrick
no flags Details
File: dso_list (18.17 KB, text/plain)
2017-10-31 14:04 UTC, Matthew J. Fitzpatrick
no flags Details
File: environ (1.67 KB, text/plain)
2017-10-31 14:04 UTC, Matthew J. Fitzpatrick
no flags Details
File: exploitable (82 bytes, text/plain)
2017-10-31 14:04 UTC, Matthew J. Fitzpatrick
no flags Details
File: limits (1.29 KB, text/plain)
2017-10-31 14:04 UTC, Matthew J. Fitzpatrick
no flags Details
File: maps (89.71 KB, text/plain)
2017-10-31 14:04 UTC, Matthew J. Fitzpatrick
no flags Details
File: open_fds (3.41 KB, text/plain)
2017-10-31 14:04 UTC, Matthew J. Fitzpatrick
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2017-10-31 14:04 UTC, Matthew J. Fitzpatrick
no flags Details
File: var_log_messages (10.36 KB, text/plain)
2017-10-31 14:04 UTC, Matthew J. Fitzpatrick
no flags Details

Description Matthew J. Fitzpatrick 2017-10-31 14:04:09 UTC
Description of problem:
I tried connecting to a remote desktop via RDP and was testing the settings to determine which combination worked and did not work. After successfully validating the settings I disconnected and then reconnected one last time to double-check and upon loading the remote session, Remmina completely crashed and both the remote session and the Remmina Connection Manager crashed.

Version-Release number of selected component:
remmina-1.2.0-0.42.20170908git205df66.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        remmina -i
crash_function: MessagePipe_PostQuit
executable:     /usr/bin/remmina
journald_cursor: s=c1b506e48b3349aca476efcb26338335;i=15bb;b=198c8eb4e6ad42c2964c6f339600584b;m=67a4cec8;t=55cd80cf91f0c;x=56adc2a91a4e0478
kernel:         4.13.8-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 MessagePipe_PostQuit at /usr/src/debug/FreeRDP-3b8352690e5ff1ab34357a2df2b6e22423bcea38/winpr/libwinpr/utils/collections/MessagePipe.c:41
 #1 rdpsnd_virtual_channel_event_disconnected at /usr/src/debug/FreeRDP-3b8352690e5ff1ab34357a2df2b6e22423bcea38/channels/rdpsnd/client/rdpsnd_main.c:1353
 #2 rdpsnd_virtual_channel_init_event_ex at /usr/src/debug/FreeRDP-3b8352690e5ff1ab34357a2df2b6e22423bcea38/channels/rdpsnd/client/rdpsnd_main.c:1439
 #3 freerdp_channels_disconnect at /usr/src/debug/FreeRDP-3b8352690e5ff1ab34357a2df2b6e22423bcea38/libfreerdp/core/client.c:615
 #4 rdp_client_reconnect at /usr/src/debug/FreeRDP-3b8352690e5ff1ab34357a2df2b6e22423bcea38/libfreerdp/core/connection.c:380
 #5 freerdp_reconnect at /usr/src/debug/FreeRDP-3b8352690e5ff1ab34357a2df2b6e22423bcea38/libfreerdp/core/freerdp.c:509
 #6 rf_auto_reconnect at /usr/src/debug/Remmina-205df66325b566d2ae5f87f8a68f9d829765d4d5/remmina-plugins/rdp/rdp_plugin.c:265
 #7 remmina_rdp_main_loop at /usr/src/debug/Remmina-205df66325b566d2ae5f87f8a68f9d829765d4d5/remmina-plugins/rdp/rdp_plugin.c:661
 #8 remmina_rdp_main at /usr/src/debug/Remmina-205df66325b566d2ae5f87f8a68f9d829765d4d5/remmina-plugins/rdp/rdp_plugin.c:1078
 #9 remmina_rdp_main_thread at /usr/src/debug/Remmina-205df66325b566d2ae5f87f8a68f9d829765d4d5/remmina-plugins/rdp/rdp_plugin.c:1094

Comment 1 Matthew J. Fitzpatrick 2017-10-31 14:04:15 UTC
Created attachment 1345926 [details]
File: backtrace

Comment 2 Matthew J. Fitzpatrick 2017-10-31 14:04:16 UTC
Created attachment 1345927 [details]
File: cgroup

Comment 3 Matthew J. Fitzpatrick 2017-10-31 14:04:18 UTC
Created attachment 1345928 [details]
File: core_backtrace

Comment 4 Matthew J. Fitzpatrick 2017-10-31 14:04:20 UTC
Created attachment 1345929 [details]
File: cpuinfo

Comment 5 Matthew J. Fitzpatrick 2017-10-31 14:04:22 UTC
Created attachment 1345930 [details]
File: dso_list

Comment 6 Matthew J. Fitzpatrick 2017-10-31 14:04:23 UTC
Created attachment 1345931 [details]
File: environ

Comment 7 Matthew J. Fitzpatrick 2017-10-31 14:04:25 UTC
Created attachment 1345932 [details]
File: exploitable

Comment 8 Matthew J. Fitzpatrick 2017-10-31 14:04:26 UTC
Created attachment 1345933 [details]
File: limits

Comment 9 Matthew J. Fitzpatrick 2017-10-31 14:04:29 UTC
Created attachment 1345934 [details]
File: maps

Comment 10 Matthew J. Fitzpatrick 2017-10-31 14:04:30 UTC
Created attachment 1345935 [details]
File: open_fds

Comment 11 Matthew J. Fitzpatrick 2017-10-31 14:04:32 UTC
Created attachment 1345936 [details]
File: proc_pid_status

Comment 12 Matthew J. Fitzpatrick 2017-10-31 14:04:34 UTC
Created attachment 1345937 [details]
File: var_log_messages

Comment 13 Fedora Update System 2017-12-20 14:32:17 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc26 remmina-1.2.0-0.43.20171220git08f5b4b.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e2917f50e

Comment 14 Fedora Update System 2017-12-20 14:33:14 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc27 remmina-1.2.0-0.43.20171220git08f5b4b.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-504f06e50b

Comment 15 Fedora Update System 2017-12-21 20:26:10 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc27, remmina-1.2.0-0.43.20171220git08f5b4b.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-504f06e50b

Comment 16 Fedora Update System 2017-12-21 21:11:07 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc26, remmina-1.2.0-0.43.20171220git08f5b4b.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e2917f50e

Comment 17 Fedora Update System 2018-01-04 23:32:37 UTC
remmina-1.2.0-0.44.rcgit.26.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-915a911681

Comment 18 Fedora Update System 2018-01-05 11:37:40 UTC
remmina-1.2.0-0.44.rcgit.26.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-915a911681

Comment 19 Fedora Update System 2018-01-08 01:37:16 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc27, remmina-1.2.0-0.43.20171220git08f5b4b.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-01-09 16:48:16 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc26, remmina-1.2.0-0.43.20171220git08f5b4b.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-01-13 23:04:49 UTC
remmina-1.2.0-0.44.rcgit.26.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.